Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRSaver

    java.lang.Object
      net.sf.jasperreports.engine.util.JRSaver

    public final class JRSaver

extends java.lang.Object

Version:
  $Id: JRSaver.java 3712 2010-04-08 09:53:09Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`static void` | `saveClassSource(java.lang.String source, java.io.File file)`
`static void` | `saveObject(java.lang.Object obj, java.io.File file)`
`static void` | `saveObject(java.lang.Object obj, java.io.OutputStream os)`
`static void` | `saveObject(java.lang.Object obj, java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### saveObject

    public static void saveObject(java.lang.Object obj,
                                  java.lang.String fileName)
                           throws JRException

  Throws:
    `JRException`

### saveObject

    public static void saveObject(java.lang.Object obj,
                                  java.io.File file)
                           throws JRException

  Throws:
    `JRException`

### saveObject

    public static void saveObject(java.lang.Object obj,
                                  java.io.OutputStream os)
                           throws JRException

  Throws:
    `JRException`

### saveClassSource

    public static void saveClassSource(java.lang.String source,
                                       java.io.File file)
                                throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com